Bug 164795 - /usr/src/linux-2.4.21-32.EL/Documentation/networking/e100.txt contians bad info
/usr/src/linux-2.4.21-32.EL/Documentation/networking/e100.txt contians bad info
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
: FutureFeature
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-08-01 11:11 EDT by Sam Folk-Williams
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:19:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-e100-doc.patch (13.73 KB, patch)
2005-08-03 10:20 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description Sam Folk-Williams 2005-08-01 11:11:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
I have a customer who was quite upset because some documentation in
the /usr/src/linux gave outdated instructions on how to set the module
options for e100 nics in RHEL 3. Essentially, the instructions said to
add an options line to modules.conf. However, the options we're removed
at some point and the correct method for doing this is to use ETHTOOL.
The correct procedure IS in the release notes.

Offending Documentation:
/usr/src/linux-2.4.21-32.EL/Documentation/networking/e100.txt: 
 
e100_speed_duplex 
Valid Range: 0-4 (1=10half;2=10full;3=100half;4=100full) 
Default Value: 0 
   The default value of 0 sets the adapter to auto-negotiate. Other
values 
   set the adapter to forced speed and duplex. 
   Example usage: insmod e100.o e100_speed_duplex=4,4 (for two
adapters) 

Version-Release number of selected component (if applicable):
kernel-2.4.21-32.EL

How reproducible:
Always

Steps to Reproduce:
1. Look at /usr/src/linux-2.4.21-32.EL/Documentation/networking/e100.txt
2.
3.
  

Additional info:
Comment 1 John W. Linville 2005-08-03 10:20:23 EDT
Created attachment 117405 [details]
jwltest-e100-doc.patch

I apologize for the confusion...
Comment 4 Ernie Petrides 2005-09-15 00:07:07 EDT
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.2.EL).
Comment 7 Red Hat Bugzilla 2006-03-15 11:19:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.